LicenseController Class

The REST API for performing administration tasks on licenses.
Inheritance Hierarchy

Namespace:  Dundas.BI.WebApi.Controllers
Assembly:  Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax
public class LicenseController : ApiControllerBase

The LicenseController type exposes the following members.

Constructors
  NameDescription
Public methodLicenseController
Initializes a new instance of the LicenseController class
Top
Methods
  NameDescription
Public methodCanCreateAccount
GET /License/CanCreateAccount/{id} Check against the license to see if an account can be created.
Public methodDeleteLicense
DELETE /License/ Deletes an license.
Protected methodEnsureCallerContext
If the current context is not already the specified context, creates a new caller context which is a clone of the specified context and sets it as the current one.
(Inherited from ApiControllerBase.)
Protected methodEnsureFormFileMultipartContent
Ensures when form files are access the content is MIME multi-part which we want.
(Inherited from ApiControllerBase.)
Protected methodGetClientIdFromCookieOrProvided
Gets the client ID from cookie or from the provided value, which is usually from the query string.
(Inherited from ApiControllerBase.)
Public methodGetInstalledLicenses
GET /License/InstalledLicenses Gets the installed licenses.
Public methodGetLicenseById
GET /License/ Gets a license with the specified ID.
Public methodGetRemainingSeatUsage
GET /License/RemainingSeatUsage/ Get the remaining seat usage for Dundas BI.
Public methodGetSeatUsage
GET /License/SeatUsage/ Get the seat usage for Dundas BI.
Public methodGetSeatUsageForTenant
GET /License/SeatUsage/{id} Get the seat usage for Dundas BI for tenants.
Protected methodGetServiceT
Gets the requested service.
(Inherited from ApiControllerBase.)
Protected methodGetSessionIdFromCookieHeaderOrProvided
Gets the session ID from cookie, the authorization header or from the provided value, which is usually from the query string.
(Inherited from ApiControllerBase.)
Public methodGetWatermarkText
GET /License/Watermark/ Gets the watermark text.
Public methodInstallLicense
POST /License/ Installs a new license.
Public methodInstallLicenseFile
POST /License/File Installs a new license from a file. This API call expects form files inside the request body.
Public methodIsFeatureEnabled
GET /License/Feature/{id} Checks to see if a feature is enabled.
Protected methodLoadSession
Creates a new caller context associated with the specified session ID. The session is not validated.
(Inherited from ApiControllerBase.)
Protected methodRequestFirstFormFile
Retrieves the first form file from the request.
(Inherited from ApiControllerBase.)
Protected methodRequestFormFiles
Retrieves the form files from the request.
(Inherited from ApiControllerBase.)
Protected methodReturnInvalidWindowsIdentityResponse
Returns the invalid windows identity response to challenge the browser.
(Inherited from ApiControllerBase.)
Top
See Also